initlog(8)

NOME
initlog - registra ("logga") i messaggi e gli eventi sul logger di sistema

SINTASSI
initlog [-cefnpqrs] [--cmd=ARG] [--event=ARG] [--facility=ARG] [--name=ARG] [--priority=ARG] [--run=ARG] [--string=ARG]

DESCRIZIONE
initlog registra i messaggi e gli eventi sul logger di sistema. É concepito principalmente per l'uso negli init scripts. initlog legge un file di configurazione /etc/initlog.conf di default, per determinare le sue impostazioni. Ogni linea preceduta da un # è un commento, e vengono riconosciute le seguenti direttive di configurazione:

facility <servizio di logging>
    Imposta il servizio di logging predefinito

priority <priorità di logging>
    Imposta la priorità di logging di predefinita

ignore <espressione regolare>
    I messaggi che coincidono con l'espressione regolare non saranno registrati.

Il comportamento di initlog può anche essere modificato con opzioni da riga di comando.

  OPZIONI

-c, --cmd=[programma]
    Esegue il programma specificato, registrando qualsiasi dato in uscita verso lo stdout o lo stderr.

-e, --event=[numero]
    Registra il fatto che l'evento specificato è avvenuto. Usato insieme a --name. Gli eventi correntemente specificati sono:
     1  l'azione è stata completata con successo
     2  l'azione è fallita
     3  l'azione è stata annullata a richiesta dell'utente
     4  l'azione è fallita a causa del fallimento di un'azione dipendente

-f, --facility=[servizio]
    Registra tramite il servizio di syslog specificato. È preimpostato
    come daemon (vedi syslog(3)).

-n, --name=[stringa]
    Registra la stringa specificata sul logger.

-p, --priority=[priorita']
    Registra con la priorità di syslog specificata. È preimpostata come
    notice (vedi syslog(3)).

-q  Non stampa l'output del programma, a meno che esso esca con un exit code
    diverso da zero.

-r, --run=[programma]
    Esegue il programma, con un descrittore dei file aperti
    così che il programma possa ripassare i comandi a initlog.

-s, --string=[stringa]
    Notifica al logger la stringa specificata.

--conf=[file]
    Specifica un file di configurazione alternativo.

FILES
/etc/initlog.conf

VEDI ANCHE
syslog(3), logger(1)